# SPDX-License-Identifier: BSD-3-Clause
---
- name: Gather current interface info
  command: ls -1
  args:
    chdir: /sys/class/net
  register: _current_interfaces
  changed_when: false
- name: Set current_interfaces
  set_fact:
    current_interfaces: "{{ _current_interfaces.stdout_lines }}"
